"""
Product initialization

$Id: __init__.py 23222 2006-05-10 08:22:19Z dbaty $
"""

from Products.CMFCore import utils as CMFCoreUtils
from Products.CMFCore import DirectoryView

import patches

from config import GLOBALS

DirectoryView.registerDirectory('skins', GLOBALS)
DirectoryView.registerDirectory('skins/cmf_notification', GLOBALS)

def initialize(context):
    import NotificationTool

    tools = (NotificationTool.NotificationTool, )
    CMFCoreUtils.ToolInit(NotificationTool.META_TYPE,
                          tools=tools,
                          icon='tool.gif').initialize(context)
