## Controller Python Script "notification_subscribe"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind state=state
##bind subpath=traverse_subpath
##parameters=subscribe_to_parent=False
##title=Subscribe the user to an item

from Products.CMFCore.utils import getToolByName

item = context
if subscribe_to_parent:
    item = context.aq_parent
    msg = context.translate('success_subscribed_parent',
                            domain='cmfnotification',
                            default='You have been subscribed to the parent folder of this item.')
else:
    msg = context.translate('success_subscribed',
                            domain='cmfnotification',
                            default='You have been subscribed to this item.')

ntool = getToolByName(context, 'portal_notification')
ntool.subscribeTo(item)

return state.set(portal_status_message=msg)
